Imagick::addImage
Imagick::affineTransformImage
Imagick
PHP Manual

# Imagick::addNoiseImage

(PECL imagick 2.0.0)

Imagick::addNoiseImage — Adds random noise to the image

### Description

bool Imagick::addNoiseImage ( int `$noise_type` [, int `$channel` = Imagick::CHANNEL_DEFAULT ] )

Adds random noise to the image.

### Parameters

`noise_type`

  The type of the noise. Refer to this list of noise constants.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channel constants using bitwise operators. Defaults to `Imagick::CHANNEL_DEFAULT`. Refer to this list of channel constants

### Return Values

Returns `TRUE` on success.

Imagick::addImage
Imagick::affineTransformImage
Imagick
PHP Manual